{
  "criteria": {
    "ride_entity_distance": {
      "conditions": {
        "distance": {
          "horizontal": {
            "min": 50.0
          }
        },
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "location": {
                "dimension": "minecraft:overworld"
              },
              "vehicle": {
                "type": "minecraft:strider"
              }
            }
          }
        ]
      },
      "trigger": "minecraft:ride_entity_in_lava"
    }
  },
  "requirements": [
    [
      "ride_entity_distance"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/ride_strider_in_overworld_lava"
  },
  "sends_telemetry_event": true
}